%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                                       %%
%% Copyright (C) 2013 Texas Instruments Incorporated - http://www.ti.com %%
%%                                                                       %%
%% Author: Darren Etheridge <detheridge@ti.com                           %%
%%                                                                       %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\chapter{Meetings}
\label{chap:meetings-in-scrum}

\section{Daily Standup Meeting}
\label{sec:dailystandup}

\paragraph{}
Sometimes called the ``daily scrum'' (or even the ``daily hug'').
This is a short meeting (15 minutes maximum) that happens on a daily
basis during a sprint.  All team members are expected to attend this
meeting and others are welcome but only the team members speak.  This
meeting should happen at the same time and place each and every day.
It is expected that each team member will come prepared to answer
three questions:

\begin{enumerate}
	\item What did I do yesterday?
	\item What will I do today?
	\item Do I have any obstacles/hinderances/impediments?
\end{enumerate}

\paragraph{}
Any identified obstacles are documented by the scrum master and
resolution will be worked outside of the meeting.  If a technical
discussion is required it should be tabled and moved to a sidebar
meeting.


\subsection{Sidebar Meeting}
\label{sec:sidebar}

\paragraph{}
The sidebar meeting is entirely optional and is only needed if there
is something to discuss that would take longer than the 15 minute
daily standup would permit.  These meetings preferably follow a daily
standup but they can be scheduled for a different time if absolutely
necessary.  Only team members applicable to the discussion need to
attend the sidebar meetings.


\section{Sprint Planning Meeting}
\label{sec:sprintplanning}

\paragraph{}
Sprint planning meetings are always conducted before every sprint and
are actually divided into two parts.  In LCPD we are choosing a two
week sprint and therefore this meeting will have a four hour
timebox. The first part is the actual planning meeting that is limited
to two hours, it is immediately follow by the Sprint Definition
meeting (see~section~\ref{sec:sprintdefinition}~).  The planning
meeting is where the product owner and the team discuss which items
from the product backlog should be included in the next sprint. The
team is expected to voice any concerns about impediments that could
stop them from being able to tackle any of the backlog items.


\section{Sprint Definition Meeting}
\label{sec:sprintdefinition}

\paragraph{}
The Sprint Definition meeting typically immediately follows the Sprint
Planning meeting and is also limited to two hours.  The sprint backlog
items that are an ``artifact'' of the sprint planning meeting are
broken into smaller more manageable ``tasks'' by the team.  The
product owner is not required to attend this meeting but should be
easily obtainable so that any questions that arise can be answered.


\section{Backlog Grooming Meeting}
\label{sec:backloggrooming}

\paragraph{}
The Backlog Grooming (or Backlog Refinement) meeting is an optional meeting
timeboxed for 1 hour for each week in the sprint.  All Scrum guidance suggests
it is a valuable meeting that is conducted in the middle of each sprint. Its
main benefit is to make the sprint planning meetings more efficient, as one
critisism of Scrum is the planning meetings often go beyond their allow
timebox.  This meeting is used to refine the backlog which can include:

\begin{itemize}
	\item Break down product backlog items that could be considered
		epics into more managable chunks.
	\item Rewrite poorly written PBI's
	\item Estimate PBI's
	\item Add acceptance criteria to existing PBI's
	\item Review prioritization of PBI's
\end{itemize}

\paragraph{}
This meeting is for the Product Owner and team members. Some
references say that the Stakeholders should also attend, but for the
LCPD process they will initially be excluded to avoid priority
arguments, etc from sidetracking the meeting.

\paragraph{}
This meeting can usually be combined with the functional team meeting
described in section \ref{sec:functionalteammeeting}.

\section{Sprint Review Meeting}
\label{sec:sprintreview}

\paragraph{}
The Sprint Review meeting is held immediately after a sprint has
completed (usually 2 hours for a two week sprint).  This is where the
sprint team presents the result of the sprint to the product owner
(and optionally the stakeholders). The product owner checks the
results against the mutually agreed acceptance criteria to determine
if the work has been completed or not.  Any items that are deemed not
completed are put back onto the Product Backlog (even if they are
*really* close to complete).


\section{Sprint Retrospective Meeting}
\label{sec:sprintretrospective}

\paragraph{}
The Sprint Retrospective is for all team members to attend (including
Scrum Master and Product Owner), most Scrum implementations have the
Sprint Restrospective meeting immediately following the Sprint Review
Meeting.  It is an opportunity for the team to consider three things
about the previous sprint:

\begin{enumerate}
	\item What went well?
	\item What didn't go well?
	\item What could be improved for the next sprint?
\end{enumerate}

\paragraph{}
The last item can be broken into three questions that each team member
can be asked to identify specific things that the team should:

\begin{enumerate}
	\item START doing
	\item STOP doing
	\item CONTINUE doing
\end{enumerate}

\paragraph{}
As the Stakeholders are not permitted to this meeting, it is an
opportunity for the team to speak frankly about obstacles and
impediments that are impacting the team.  This allows the Scrum Master
to take away a very clear picture of what is causing the most
heartache and work to resolve it.


\section{Functional Team Meeting}
\label{sec:functionalteammeeting}

\paragraph{}
The Functional Team Meeting is not defined in Scrum but is necessary
for Scrum to work in LCPD because of our geographically distributed
teams force Scrum teams not to be functionally organized.  This
meeting is an hour or preferably less a week, and is the chance for
the functional manager to get a view into what the team is doing and
the overall pulse of the team.  It will most likely follow a similar
format to the daily standup meeting, but this is entirely at the
discretion of the functional manager.

\paragraph{}
This meeting also has the purpose of allowing information sharing
between the scrum teams and make sure within the functional team
everybody is aware of each others areas of expertise.

\paragraph{}
For many teams in LCPD it has been found that using the functional team
meeting to perform backlog grooming allows for the domain experts within
the functional team to come together and help share their knowledge during
the estimation process.  It is still up to the individual scrum team that
picks up this backlog item to accept the estimate and discuss the backlog
item as part of the sprint planning.
